List Channels

GET
https://reloop.sh/api/contacts/v1/channels/list

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100
import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: channels, error } = await reloop.contacts.channels.list({ page: 1, limit: 10 });
if (error) throw error;
{
  "object": "channel",
  "channels": [
    {
      "id": "channel_123456789",
      "name": "Newsletter",
      "description": "example_description",
      "defaultSubscription": "opt_in",
      "visibility": "private",
      "createdAt": "2026-03-23T10:00:00.000Z",
      "updatedAt": "2026-03-23T10:00:00.000Z",
      "subscriberCount": 0
    }
  ],
  "total": 1,
  "page": 0,
  "limit": 0,
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page